-- MoreRealisticLightShadows
--
-- # Author:  Rival
-- # date: 16.11.2025

Lights.onLoad = Utils.appendedFunction(Lights.onLoad, function(self, ...)
	setMaxNumShadowLights(25)
	local spec = self.spec_lights
	for _,light in pairs(spec.realLights.high.defaultLights) do -- adjust only high profile lights
		if getLightRange(light.node) > 7 then
			setMergedShadowActive(light.node, false)
		end
		local childrenCount = getNumOfChildren(light.node)
		for i=0, childrenCount-1 do
			local child = getChildAt(light.node, i)
			if getHasClassId(child, ClassIds.LIGHT_SOURCE) then
				if getLightRange(child) > 7 then
					setMergedShadowActive(child, false)
				end
			end
		end
	end
end)
